#
# spec file for package sphinx
#
# Copyright (c) 2006--2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           sphinx
Version:        2.0.10
Release:        1.1
%define pkg_version 2.0.10-release
#
License:        GNU General Public License version 2 (GPL v2)
Group:          Productivity/Databases/Servers
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++ mysql-devel postgresql-devel libexpat-devel

#
Url:            http://sphinxsearch.com/
Source0:        %{name}-%{pkg_version}.tar.bz2
Source1:	sphinx.init
Source2:	sysconfig.sphinx
Patch0:		sphinx-0.9.9.patch
#
Summary:        Free open-source SQL full-text search engine
Requires:       libsphinxclient0 = %{version}-%{release}

%description
Sphinx is a full-text search engine, distributed under GPL version 2.
Commercial licensing is also available upon request.

Generally, it's a standalone search engine, meant to provide fast,
size-efficient and relevant fulltext search functions to other
applications. Sphinx was specially designed to integrate well with SQL
databases and scripting languages. Currently built-in data source
drivers support fetching data either via direct connection to MySQL,
PostgreSQL, or from a pipe in a custom XML format.

As for the name, Sphinx is an acronym which is officially decoded as
SQL Phrase Index. Yes, I know about CMU's Sphinx project.

%package -n	libsphinxclient0
Group:		Development/Librarys
Summary:	Sphinx client library

%description -n	libsphinxclient0
This package provides sphinx client library.

%package -n	libsphinxclient-devel
Group:		Development/Librarys
Summary:	Sphinx client library
Requires:	libsphinxclient0 = %{version}

%description -n	libsphinxclient-devel
This package provides devel files of sphinx client library.


%debug_package
%prep
%setup -q -n "%{name}-%{pkg_version}"
%patch0
find -type d -name CVS -print0 | xargs -r0 rm -rf

%build
#sh -x bootstrap
%configure --sysconfdir=%{_sysconfdir}/%{name}/ --with-mysql --with-pgsql
%__make

# libsphinxclient api
cd api/libsphinxclient
%configure
%__make

%install
%makeinstall
%__cp -v %{buildroot}%{_sysconfdir}/%{name}/%{name}.conf{.dist,}
for i in indexer search searchd ; do
  %__mv %{buildroot}%{_bindir}/{,%{name}-}$i
done

%__install -D %{S:1} %{buildroot}%{_sysconfdir}/init.d/sphinx
%__install -D %{S:2} %{buildroot}/var/adm/fillup-templates/sysconfig.sphinx

# libsphinxclient api
cd api/libsphinxclient
%makeinstall

#
cd ../..
mv api examples
%__install -d -m0755 %{buildroot}%{_sbindir}
ln -sf ../../etc/init.d/sphinx %{buildroot}%{_sbindir}/rcsphinx

%preun
%stop_on_removal sphinx

%post
%fillup_and_insserv sphinx

%post -n libsphinxclient0
/sbin/ldconfig

%postun -n libsphinxclient0
/sbin/ldconfig

%clean
%__rm -rf "%{buildroot}"

%files
%defattr(-,root,root,-)
%config %dir %{_sysconfdir}/%{name}
%config %{_sysconfdir}/%{name}/example.sql
%config(noreplace) %{_sysconfdir}/%{name}/sphinx.conf
%config %{_sysconfdir}/%{name}/sphinx.conf.dist
%config %{_sysconfdir}/%{name}/sphinx-min.conf.dist
%{_bindir}/spelldump
%{_bindir}/sphinx-indexer
%{_bindir}/sphinx-search
%{_bindir}/sphinx-searchd
%{_bindir}/indextool
%{_sbindir}/rcsphinx
%doc COPYING contrib/
%doc doc/*.html doc/*.css doc/*.txt
%doc examples/java
%doc examples/ruby
%doc examples/*.py
%doc examples/*.php
/var/adm/fillup-templates/sysconfig.sphinx
%{_sysconfdir}/init.d/sphinx
%{_mandir}/man1/indexer.1*
%{_mandir}/man1/indextool.1*
%{_mandir}/man1/search.1*
%{_mandir}/man1/searchd.1*
%{_mandir}/man1/spelldump.1*

%files -n libsphinxclient0
%defattr(-,root,root)
%{_libdir}/libsphinxclient-0.0.1.so

%files -n libsphinxclient-devel
%defattr(-,root,root)
%{_libdir}/libsphinxclient.a
%{_libdir}/libsphinxclient.la
%{_libdir}/libsphinxclient.so
%{_includedir}/sphinxclient.h

%changelog
* Sun May  4 2014 cs@linux-administrator.com
- update to release 2.0.10
* Tue Jun 11 2013 cs@linux-administrator.com
- update to release 2.0.8
